petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMForestSetWeightCapacity

During the pre-setup phase, set the capacity of the current process when repartitioning a pre-adaptation forest (see DMForestGetAdaptivityForest()). After partitioning, the ratio of the weight of each process's cells to the process's capacity will be roughly equal for all processes. A capacity of 0 indicates that the current process should not have any cells after repartitioning.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetWeightCapacity(DM dm, PetscReal capacity)

Logically Collective on dm

### Input parameters

| dm | - the forest
| capacity | - this process's capacity

### See Also

DMForestGetWeightCapacity(), DMForestSetCellWeights(), DMForestSetCellWeightFactor()

### Level

advanced

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages